package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;

public class PointInfoEntity extends BaseEntity<List<PointInfoEntity.InfoListBean>> implements Serializable {

    public static class InfoListBean implements Serializable {

        private String name;
        private String disCode;

        public String getDisCode() {
            return disCode;
        }

        public void setDisCode(String disCode) {
            this.disCode = disCode;
        }

        public List<StreetBean> getStreet() {
            return street;
        }

        public void setStreet(List<StreetBean> street) {
            this.street = street;
        }

        private List<StreetBean> street;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<StreetBean> getStreetList() {
            return street;
        }

        public void setStreetList(List<StreetBean> street) {
            this.street = street;
        }

        // 实现 IPickerViewData 接口，
        // 这个用来显示在PickerView上面的字符串，
        // PickerView会通过IPickerViewData获取getPickerViewText方法显示出来。

        public String getPickerViewText() {
            return this.name;
        }


        public static class StreetBean {

            private String name;
            private List<String> area;

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public List<String> getArea() {
                return area;
            }

            public void setArea(List<String> area) {
                this.area = area;
            }
        }
    }
}








